#include <stdint.h>
#define L_BUTTON 0x08						// left button at PB.3
#define R_BUTTON 0x10						// right button at PA.4
#define F_BUTTON 0x10						// forward button at PB.4
#define B_BUTTON 0x20						// backwards button at PB.5
#define C_BUTTON 0x08						// central button at PA.3

void MCG_setup(void);
void SMC_setup(void);						// function prototypes
void PORTS_setup(void);
void SPI0_setup(void);
void SPIWriteBuf(const uint8_t*, uint8_t, uint8_t);
void SPIWriteBuf2(const uint8_t*, uint8_t, uint8_t);
void SPIReadStream(uint8_t);
void TPM_setup(void);
